# Cookbook

A cookbook, when you cook, is a collection of recipes.
Similarly, Garage's cookbook contains a collection of recipes that are known to works well!
This chapter could also be referred as "Tutorials" or "Best practices".

- **[Deploying Garage](real_world.md):** This page will walk you through all of the necessary
  steps to deploy Garage in a real-world setting.

- **[Configuring S3 clients](clients.md):** This page will explain how to configure
  popular S3 clients to interact with a Garage server.

- **[Hosting a website](website.md):** This page explains how to use Garage
  to host a static website.

- **[Recovering from failures](recovering.md):** Garage's first selling point is resilience
  to hardware failures. This section explains how to recover from such a failure in the
  best possible way.

- **[Building from source](from_source.md):** This page explains how to build Garage from
  source in case a binary is not provided for your architecture, or if you want to
  hack with us!

- **[Starting with Systemd](from_source.md):** This page explains how to run Garage
  as a Systemd service (instead of as a Docker container).
